## org.eclipse.emf.codegen.merge.java
Class JControlModel

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel

Direct Known Subclasses:
  JControlModel

    public class JControlModel

extends java.lang.Object

A control model that provides dictionaries and rules to drive a merge process.

Nested Class Summary
`static class` `JControlModel.DictionaryPattern`
`static class` `JControlModel.Feature`
`static class` `JControlModel.MatchRule` During the merge, the current state of the nodes of a tree is applied to the nodes of another tree.
`static class` `JControlModel.PullRule`
`static class` `JControlModel.PushRule` A push rule restricts what elements are pushed from the source to the target.
`static class` `JControlModel.SortRule` The sort rule is used to ensure that the order of the attributes as declared on the source is respected As usual you need to specify a Dictionary Pattern to identify the attributes that should be treated.
`static class` `JControlModel.SweepRule` A sweep rule removes elements from the target if they are NOT available in the source.

Field Summary
`protected java.util.regex.Pattern` `blockPattern`
`protected java.lang.String` `classPrefix`
`protected java.util.List<JControlModel.DictionaryPattern>` `dictionaryPatterns`
`protected FacadeHelper` `facadeHelper`
`protected java.lang.String` `indent`
`protected boolean` `indentIsSet`
`protected java.util.List<JControlModel.MatchRule>` `matchRules`
`protected static java.lang.Class<?>[]` `NO_PARAMETER_TYPES`
`protected java.util.regex.Pattern` `noImportPattern`
`protected java.util.List<JControlModel.PullRule>` `pullRules`
`protected java.util.List<JControlModel.PushRule>` `pushRules`
`protected java.lang.String` `redirect`
`protected java.util.List<JControlModel.SortRule>` `sortRules`
`protected boolean` `standardBraceStyle`
`protected boolean` `standardBraceStyleIsSet`
`protected java.util.List<JControlModel.SweepRule>` `sweepRules`

Constructor Summary
`JControlModel()`

Method Summary
`boolean` `canMerge()`
`static java.lang.Class<?>` `classForClassName(java.lang.String classPrefix, java.lang.String className)`
`boolean` `convertToStandardBraceStyle()`
`protected JControlModel.DictionaryPattern` `createDictionaryPattern(java.lang.String classPrefix, org.w3c.dom.Element elementChild)`
`protected JControlModel.MatchRule` `createMatchRule(java.lang.String classPrefix, org.w3c.dom.Element elementChild)`
`protected JControlModel.PullRule` `createPullRule(java.lang.String classPrefix, org.w3c.dom.Element elementChild)`
`protected JControlModel.PushRule` `createPushRule(java.lang.String classPrefix, org.w3c.dom.Element elementChild)`
`protected JControlModel.SortRule` `createSortRule(java.lang.String classPrefix, org.w3c.dom.Element elementChild)`
`protected JControlModel.SweepRule` `createSweepRule(java.lang.String classPrefix, org.w3c.dom.Element elementChild)`
`java.util.regex.Pattern` `getBlockPattern()`
`java.lang.String` `getClassPrefix()`
`java.util.List<JControlModel.DictionaryPattern>` `getDictionaryPatterns()`
`FacadeHelper` `getFacadeHelper()`
`java.lang.String` `getLeadingTabReplacement()`
`java.util.List<JControlModel.MatchRule>` `getMatchRules()`
`java.util.regex.Pattern` `getNoImportPattern()`
`java.util.List<JControlModel.PullRule>` `getPullRules()`
`java.util.List<JControlModel.PushRule>` `getPushRules()`
`java.lang.String` `getRedirect()`
`java.util.List<JControlModel.SortRule>` `getSortRules()`
`java.util.List<JControlModel.SweepRule>` `getSweepRules()`
`protected void` `initialize(org.w3c.dom.Element element)`
`void` `initialize(FacadeHelper facadeHelper, java.lang.String uri)`
`protected void` `initialize(java.lang.String uri)`
`protected void` `setClassPrefix(java.lang.String classPrefix)`
`void` `setConvertToStandardBraceStyle(boolean standardBraceStyle)`
`protected void` `setFacadeHelper(FacadeHelper facadeHelper)`
`void` `setLeadingTabReplacement(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_PARAMETER_TYPES

    protected static final java.lang.Class<?>[] NO_PARAMETER_TYPES

### facadeHelper

    protected FacadeHelper facadeHelper

### dictionaryPatterns

    protected java.util.List<JControlModel.DictionaryPattern> dictionaryPatterns

### pullRules

    protected java.util.List<JControlModel.PullRule> pullRules

### pushRules

    protected java.util.List<JControlModel.PushRule> pushRules

### sweepRules

    protected java.util.List<JControlModel.SweepRule> sweepRules

### sortRules

    protected java.util.List<JControlModel.SortRule> sortRules

### matchRules

    protected java.util.List<JControlModel.MatchRule> matchRules

### blockPattern

    protected java.util.regex.Pattern blockPattern

### noImportPattern

    protected java.util.regex.Pattern noImportPattern

### redirect

    protected java.lang.String redirect

### indentIsSet

    protected boolean indentIsSet

### indent

    protected java.lang.String indent

### standardBraceStyleIsSet

    protected boolean standardBraceStyleIsSet

### standardBraceStyle

    protected boolean standardBraceStyle

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel

    public JControlModel()

Method Detail

### classForClassName

    public static java.lang.Class<?> classForClassName(java.lang.String classPrefix,
                                                       java.lang.String className)

### setFacadeHelper

    protected void setFacadeHelper(FacadeHelper facadeHelper)

### getFacadeHelper

    public FacadeHelper getFacadeHelper()

### convertToStandardBraceStyle

    public boolean convertToStandardBraceStyle()

### setConvertToStandardBraceStyle

    public void setConvertToStandardBraceStyle(boolean standardBraceStyle)

### getLeadingTabReplacement

    public java.lang.String getLeadingTabReplacement()

### setLeadingTabReplacement

    public void setLeadingTabReplacement(java.lang.String indent)

### getRedirect

    public java.lang.String getRedirect()

### getBlockPattern

    public java.util.regex.Pattern getBlockPattern()

### getNoImportPattern

    public java.util.regex.Pattern getNoImportPattern()

### getDictionaryPatterns

    public java.util.List<JControlModel.DictionaryPattern> getDictionaryPatterns()

### getPullRules

    public java.util.List<JControlModel.PullRule> getPullRules()

### getPushRules

    public java.util.List<JControlModel.PushRule> getPushRules()

### getSweepRules

    public java.util.List<JControlModel.SweepRule> getSweepRules()

### getSortRules

    public java.util.List<JControlModel.SortRule> getSortRules()

### getMatchRules

    public java.util.List<JControlModel.MatchRule> getMatchRules()

### canMerge

    public boolean canMerge()

### initialize

    public void initialize(FacadeHelper facadeHelper,
                           java.lang.String uri)

### initialize

    protected void initialize(java.lang.String uri)

### initialize

    protected void initialize(org.w3c.dom.Element element)

### createDictionaryPattern

    protected JControlModel.DictionaryPattern createDictionaryPattern(java.lang.String classPrefix,
                                                                      org.w3c.dom.Element elementChild)

### createPullRule

    protected JControlModel.PullRule createPullRule(java.lang.String classPrefix,
                                                    org.w3c.dom.Element elementChild)

### createPushRule

    protected JControlModel.PushRule createPushRule(java.lang.String classPrefix,
                                                    org.w3c.dom.Element elementChild)

### createSweepRule

    protected JControlModel.SweepRule createSweepRule(java.lang.String classPrefix,
                                                      org.w3c.dom.Element elementChild)

### createSortRule

    protected JControlModel.SortRule createSortRule(java.lang.String classPrefix,
                                                    org.w3c.dom.Element elementChild)

### createMatchRule

    protected JControlModel.MatchRule createMatchRule(java.lang.String classPrefix,
                                                      org.w3c.dom.Element elementChild)

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.